@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.newsletter-signup-container {
  background-color: var(--green-accent-1);
}

.newsletter-title-container {
  height: 150px;
}

.newsletter-signup-container .block-title {
  padding: 55px 0 30px 40px;
  margin-right: 120px;
  margin-bottom: 0;
  font-size: 25px;
  font-style: normal;
  font-weight: 800;
  line-height: 35px;
  letter-spacing: 0px;
  text-align: left;
  color: var(--accent-1);
}

.formContainer{
  background-color: var(--green-accent-2);
  display: block;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

#mailchimp-signup-subscribe-block-newsletter-form {
  background-color: var(--green-accent-2);
  position: relative;
  padding: 20px;
  display: block;
}

#mailchimp-signup-subscribe-block-newsletter-form .form-control {
  height: 40px;
}

#mailchimp-signup-subscribe-block-newsletter-form label {
  color: var(--accent-1);
  font-size: 12px;
}

#mailchimp-signup-subscribe-block-newsletter-form:after {

  animation: fadeout linear 0.5s 1 normal forwards !important;
}

.mailchimp-newsletter-mergefields {
  display: grid;
  grid-template-columns: repeat( auto-fit, minmax(150px, 1fr) );
  grid-template-rows: 1fr;
  gap: 0px 10px;
  grid-auto-flow: row;
  grid-template-areas: "firstname lastname email submit";
  align-items: start;
  max-width: 80%;
}

.form-item-mergevars-lname {
  grid-column: 3 / 5;
}

.form-required:after {
  display: none;
}

.dropdownIcon-newsletter {
  content: url(../../images/dropdown-down-purple.svg);
  fill: red !important;
  width: 30px;
  cursor: pointer;
  transition-duration: 0.8s;
  transition-property: transform;
}

.dropdownIcon-newsletter-container {
  position: absolute;
  padding: 57px 5px 0 0;
  right: 100px;
}



@media only screen and (max-width: 860px) {
  .mailchimp-newsletter-mergefields {
    display: block;
    max-width: 100%;
  }
  
  .formContainer {
    height: 360px;
  }

  .block-title {
    padding: 37px 0 30px 40px;
  }

}

@media only screen and (max-width: 725px) {
  .dropdownIcon-newsletter-container{
    padding: 57px 0;
    right: 64px;
  }
}

@media only screen and (max-width: 500px) {
  .newsletter-title-container {
    height: 200px;
  }

  .dropdownIcon-newsletter-container{
    padding: 136px 0px 0 0;
    right: 59px;
  }

  .block-title {
    font-size: 24px !important;
    margin-right: 60px;

  }
}